diff libtomcrypt/testme.sh @ 398:59c7938af2bd

merge of '1250b8af44b62d8f4fe0f8d9fc7e7a1cc34e7e1c' and '7f8670ac3bb975f40967f3979d09d2199b7e90c8'
author Matt Johnston <matt@ucc.asn.au>
date Sat, 03 Feb 2007 08:20:30 +0000
parents 0cbe8f6dbf9e
children 6dba84798cd5
line wrap: on
line diff
--- a/libtomcrypt/testme.sh	Sat Feb 03 08:09:55 2007 +0000
+++ b/libtomcrypt/testme.sh	Sat Feb 03 08:20:30 2007 +0000
@@ -9,44 +9,50 @@
 
 # get uname 
 echo "uname="`uname -a`
+
+# get gcc name
+echo "gcc="`gcc -dumpversion`
 echo
 
 # stock build
-bash run.sh "STOCK" " " $1 || exit 1
+bash run.sh "STOCK" " " "$1" "$2" "$3" || exit 1
 
 # SMALL code
-bash run.sh "SMALL" "-DLTC_SMALL_CODE" $1 || exit 1
+bash run.sh "SMALL" "-DLTC_SMALL_CODE" "$1" "$2" "$3" || exit 1
 
 # NOTABLES
-bash run.sh "NOTABLES" "-DLTC_NO_TABLES" $1 || exit 1
+bash run.sh "NOTABLES" "-DLTC_NO_TABLES" "$1" "$2" "$3" || exit 1
 
 # SMALL+NOTABLES
-bash run.sh "SMALL+NOTABLES" "-DLTC_SMALL_CODE -DLTC_NO_TABLES" $1 || exit 1
+bash run.sh "SMALL+NOTABLES" "-DLTC_SMALL_CODE -DLTC_NO_TABLES" "$1" "$2" "$3" || exit 1
 
 # CLEANSTACK
-bash run.sh "CLEANSTACK" "-DLTC_CLEAN_STACK" $1 || exit 1
+bash run.sh "CLEANSTACK" "-DLTC_CLEAN_STACK" "$1" "$2" "$3" || exit 1
 
 # CLEANSTACK + SMALL
-bash run.sh "CLEANSTACK+SMALL" "-DLTC_SMALL_CODE -DLTC_CLEAN_STACK" $1 || exit 1
+bash run.sh "CLEANSTACK+SMALL" "-DLTC_SMALL_CODE -DLTC_CLEAN_STACK" "$1" "$2" "$3" || exit 1
 
 # CLEANSTACK + NOTABLES
-bash run.sh "CLEANSTACK+NOTABLES" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK" $1 || exit 1
+bash run.sh "CLEANSTACK+NOTABLES" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK" "$1" "$2" "$3" || exit 1
 
 # CLEANSTACK + NOTABLES + SMALL
-bash run.sh "CLEANSTACK+NOTABLES+SMALL" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK -DLTC_SMALL_CODE" $1 || exit 1
+bash run.sh "CLEANSTACK+NOTABLES+SMALL" "-DLTC_NO_TABLES -DLTC_CLEAN_STACK -DLTC_SMALL_CODE" "$1" "$2" "$3" || exit 1
 
 # NO_FAST
-bash run.sh "NO_FAST" "-DLTC_NO_FAST" $1 || exit 1
+bash run.sh "NO_FAST" "-DLTC_NO_FAST" "$1" "$2" "$3" || exit 1
+
+# NO_FAST + NOTABLES
+bash run.sh "NO_FAST+NOTABLES" "-DLTC_NO_FAST -DLTC_NO_TABLES" "$1" "$2" "$3" || exit 1
 
 # NO_ASM
-bash run.sh "NO_ASM" "-DLTC_NO_ASM" $1 || exit 1
+bash run.sh "NO_ASM" "-DLTC_NO_ASM" "$1" "$2" "$3" || exit 1
 
 # test build with no testing
-bash testbuild.sh "NOTEST" "-DLTC_NO_TEST" $1 || exit 1
+bash testbuild.sh "NOTEST" "-DLTC_NO_TEST" "$1" "$2" "$3" || exit 1
 
 # test build with no file routines
-bash testbuild.sh "NOFILE" "-DLTC_NO_FILE" $1 || exit 1
+bash testbuild.sh "NOFILE" "-DLTC_NO_FILE" "$1" "$2" "$3" || exit 1
 
 # $Source: /cvs/libtom/libtomcrypt/testme.sh,v $   
-# $Revision: 1.16 $   
-# $Date: 2005/05/11 18:59:53 $ 
+# $Revision: 1.20 $   
+# $Date: 2006/01/26 14:49:43 $